For the complete documentation index, see llms.txt. This page is also available as Markdown.

Consent General

Queries related to all types of consent

Consent General Query

post

Query general consent records using specific filter criteria.

Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
QuerystringOptional

A query string for obtaining specific consent records using Number's query language. Build logical terms and join them with '&&' for logical AND or '||' for logical OR. Use single quotes for text and date values. Refer to the variable chart for query composition:

  • A: MERCHANT ID - The merchant record you are interested in, e.g. (A=1).
  • B: START DATE - The date the consent becomes active, e.g. (B>='10/20/2024').
  • C: END DATE - The date the consent expires, e.g. (C<='10/20/2024').
  • D: ACCOUNT HOLDER LAST NAME - Last name of the account holder, e.g. (D LIKE '%MITH') for all names that end with 'MITH'.
  • E: CREATED ON - The date the consent was created, e.g. (E<='10/20/2024').
  • F: CUSTOMER REFERENCE ID - User-defined value on the consent.
  • G: CONSENT TYPE - The type of consent, e.g. (G='-1').
    • -1: ALL
    • 1: ANNUAL
    • 2: ONE-TIME
    • 3: RECURRING
    • 4: SUBSCRIPTION
  • H: ENABLED - Indicates whether the consent is currently enabled, e.g. (H=1).
  • J: RPGUID - User-defined value on the consent.
  • K: ACCOUNT HOLDER FIRST NAME - First name of the account holder, e.g. (K LIKE 'ROB%') for all names that start with 'ROB'.
  • Z: CONSENT ID - The unique identifier for the consent, e.g. (Z=15875).
Example: (G=1)&&(B>'10/20/2024')
Responses
200

Successful response with consent records.

application/json
post/APIcardProcREST/v1.0.0/Query/ConsentGeneral
POST /APIcardProcREST/v1.0.0/Query/ConsentGeneral HTTP/1.1
Host: easypay5.com
SessKey: A1842D663E9A4A72XXXXXXXX303541303234373138
Accept: application/json
Content-Type: application/json
Content-Length: 60

{
  "Query": "(A=-1)&&(G=1)&&(E>='3/29/2023')&&(E<'4/29/2023')"
}
200

Successful response with consent records.

{
  "ConsentGeneral_QueryResult": {
    "Consents": [
      {
        "AcctHolderFirstName": "Sean",
        "AcctHolderID": 1140,
        "AcctHolderLastName": "Tester",
        "AcctNo": "0055",
        "AuthTxID": 2175,
        "ConsentType": "S",
        "CreatedBy": "Sally_Smith",
        "CreatedOn": "2024-12-01T11:19:01.000Z",
        "CustID": 1165,
        "CustomerRefID": "A1523644",
        "EndDate": "2024-12-01T11:19:01.000Z",
        "ID": 568,
        "IsEnabled": true,
        "MerchID": 1,
        "ModifiedBy": ":",
        "ModifiedOn": "2024-12-01T11:19:01.000Z",
        "NumDays": 2107,
        "RPGUID": "adf98580-b4ab-42fc-bb99-01c89964afe9",
        "ServiceDescrip": "REST Test",
        "StartDate": "2024-12-01T11:19:01.000Z"
      }
    ],
    "ErrCode": 0,
    "ErrMsg": "",
    "FunctionOk": true,
    "NumRecords": 1,
    "RespMsg": "Successfully Returned Consent Records : 1"
  }
}

Consents Expiring Cards

post

Retrieve consents associated with cards that are expiring within a specified number of days.

Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
NumDaysintegerOptional

The number of days within which the cards are expiring.

Example: 20
Responses
200

Successful response with consents for expiring cards.

application/json
post/APIcardProcREST/v1.0.0/Query/ConsentsExpiringCards
POST /APIcardProcREST/v1.0.0/Query/ConsentsExpiringCards HTTP/1.1
Host: easypay5.com
SessKey: A1842D663E9A4A72XXXXXXXX303541303234373138
Accept: application/json
Content-Type: application/json
Content-Length: 14

{
  "NumDays": 20
}
200

Successful response with consents for expiring cards.

{
  "ConsentsExpiringCardsResult": {
    "Consents": [
      {
        "AcctHolderFirstName": "Bruce",
        "AcctHolderID": 78,
        "AcctHolderLastName": "Wayne",
        "AcctNo": "5439",
        "CardExpDate": "2024-12-01T11:19:01.000Z",
        "CardExpDateMMYY": "1228",
        "ConsentType": "S",
        "CreatedBy": "Savannah_Tester",
        "CreatedByOrigin": "API",
        "CreatedOn": "2024-12-01T11:19:01.000Z",
        "CustID": 77,
        "CustomerRefID": "modify",
        "EndDate": "2024-12-01T11:19:01.000Z",
        "ID": 55,
        "IsEnabled": true,
        "MerchID": 3,
        "ModifiedOn": "2024-12-01T11:19:01.000Z",
        "RPGUID": "adf98580-b4ab-42fc-bb99-01c89964afe9",
        "ServiceDescrip": "API Modify",
        "StartDate": "2024-12-01T11:19:01.000Z"
      }
    ],
    "ErrCode": 0,
    "ErrMsg": "",
    "FunctionOk": true,
    "NumRecords": 3,
    "RespMsg": ""
  }
}

Consents Expiring Cards 01

post

Retrieve consents for cards expiring within a specified date range.

Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
StartDatestring · dateOptional

The start date of the expiration period.

Example: 7/10/2023
EndDatestring · dateOptional

The end date of the expiration period.

Example: 8/9/2023
Responses
200

Successful response with consents for expiring cards in the specified range.

application/json
post/APIcardProcREST/v1.0.0/Query/ConsentsExpiringCards_01
POST /APIcardProcREST/v1.0.0/Query/ConsentsExpiringCards_01 HTTP/1.1
Host: easypay5.com
SessKey: A1842D663E9A4A72XXXXXXXX303541303234373138
Accept: application/json
Content-Type: application/json
Content-Length: 46

{
  "StartDate": "7/10/2023",
  "EndDate": "8/9/2023"
}
200

Successful response with consents for expiring cards in the specified range.

{
  "ConsentsExpiringCards_01Result": {
    "Consents": [
      {
        "AcctHolderFirstName": "Bruce",
        "AcctHolderID": 78,
        "AcctHolderLastName": "Wayne",
        "AcctNo": "5439",
        "CardExpDate": "2024-12-01T11:19:01.000Z",
        "CardExpDateMMYY": "1228",
        "ConsentType": "S",
        "CreatedBy": "Savannah_Tester",
        "CreatedByOrigin": "API",
        "CreatedOn": "2024-12-01T11:19:01.000Z",
        "CustID": 77,
        "CustomerRefID": "modify",
        "EndDate": "2024-12-01T11:19:01.000Z",
        "ID": 55,
        "IsEnabled": true,
        "MerchID": 3,
        "ModifiedOn": "2024-12-01T11:19:01.000Z",
        "RPGUID": "adf98580-b4ab-42fc-bb99-01c89964afe9",
        "ServiceDescrip": "API Modify",
        "StartDate": "2024-12-01T11:19:01.000Z"
      }
    ],
    "ErrCode": 0,
    "ErrMsg": "",
    "FunctionOk": true,
    "NumRecords": 1,
    "RespMsg": ""
  }
}

Last updated

Was this helpful?